package com.oguerreiro.resilient.domain.enumeration;

public enum DashboardComponentType {
  /**
   * The component is presented as a table
   */
  TABLE,
  /**
   * The component is presented as a accordion-table
   */
  ACCORDION,
  /**
   * The component is presented as a chart.
   * 
   * @see {@link DashboardComponentChartType}
   */
  CHART,
}
