import { IResilientEntity } from 'app/resilient/resilient-base/resilient-base.model';

import { UnitValueType } from 'app/entities/enumerations/unit-value-type.model';

export interface IUnitType extends IResilientEntity {
  name?: string | null;
  description?: string | null;
  valueType?: keyof typeof UnitValueType | null;
}

export type NewUnitType = Omit<IUnitType, 'id'> & { id: null };
