package com.oguerreiro.resilient.repository;

import org.springframework.stereotype.Repository;

import com.oguerreiro.resilient.domain.ContentPage;
import com.oguerreiro.resilient.domain.enumeration.ContentPageType;

/**
 * Spring Data JPA repository for the ContentPage entity.
 */
@SuppressWarnings("unused")
@Repository
public interface ContentPageRepository extends ResilientJpaRepository<ContentPage, Long> {
  ContentPage findBySlug(ContentPageType slug);
}
