import { IResilientEntity } from 'app/resilient/resilient-base/resilient-base.model';

import { ContentPageType } from 'app/entities/enumerations/content-page-type.model';

export interface IContentPage extends IResilientEntity {
  title?: string | null;
  slug?: keyof typeof ContentPageType | null;
  content?: string | null;
}

export type NewContentPage = Omit<IContentPage, 'id'> & { id: null };
