import { IResilientEntity } from 'app/resilient/resilient-base/resilient-base.model';

export interface IDocument extends IResilientEntity {
  title?: string | null;
  description?: string | null;
  dataFile?: string | null;
  dataFileContentType?: string | null;
  uploadFileName?: string | null;
  diskFileName?: string | null;
}

export type NewDocument = Omit<IDocument, 'id'> & { id: null };
